dots.v2.reserved_ipv6.byReserved_ipv6().actions.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.reserved_ipv6.byReserved_ipv6(reserved_ipv6).actions.post(body: Reserved_ipv6_action_assign | Reserved_ipv6_action_unassign, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ActionsPostResponse>Description
To initiate an action on a reserved IPv6 send a POST request to
/v2/reserved_ipv6/{reserved_ipv6}/actions. In the JSON body to the request,
set the type attribute to on of the supported action types:
| Action | Details |
|---|---|
assign |
Assigns a reserved IPv6 to a Droplet |
unassign |
Unassign a reserved IPv6 from a Droplet |
Parameters
Path Parameters
reserved_ipv6string requiredExample:
2409:40d0:f7:1017:74b4:3a96:105e:4c6eA reserved IPv6 address.
Request Body
reserved_ipv6_action_unassign
typestring requiredThe type of action to initiate for the reserved IPv6.
reserved_ipv6_action_assign
typestring requiredThe type of action to initiate for the reserved IPv6.
dropletIdinteger requiredExample:
758604968The ID of the Droplet that the reserved IPv6 will be assigned to.
Request Sample
Response Example
More Information
See /v2/reserved_ipv6/{reserved_ipv6}/actions in the API reference for additional detail on responses, headers, parameters, and more.